Skip to main content
`Ctrl`+`K`

# pandas.io.formats.style.Styler.set_caption

Styler.set_caption(caption)

  Set the text added to a `<caption>` HTML element.

  Parameters:
    caption str, tuple, list

      For HTML output either the string input is used or the first element of the tuple. For LaTeX the string input provides a caption and the additional tuple input allows for full captions and short captions, in that order.

  Returns:
    Styler

  Examples

      >>> df = pd.DataFrame({'A': [1, 2], 'B': [3, 4]})
      >>> df.style.set_caption("test")

  Please see: Table Visualization for more examples.